org.modeshape.jcr.cache

## Class PathNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.jcr.cache.DocumentStoreException
        - - org.modeshape.jcr.cache.DocumentNotFoundException
          - - org.modeshape.jcr.cache.PathNotFoundException

- All Implemented Interfaces:
    Serializable

      public class PathNotFoundException
      extends DocumentNotFoundException

  An exception signalling that a node at a supplied path does not exist.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathNotFoundException(Path pathNotFound, NodeKey keyForLowestExistingAncestor, Path pathForLowestExistingAncestor)`
    `PathNotFoundException(Path pathNotFound, NodeKey keyForLowestExistingAncestor, Path pathForLowestExistingAncestor, String message)`
    `PathNotFoundException(Path pathNotFound, NodeKey keyForLowestExistingAncestor, Path pathForLowestExistingAncestor, String message, Throwable cause)`
    `PathNotFoundException(Path pathNotFound, NodeKey keyForLowestExistingAncestor, Path pathForLowestExistingAncestor, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodeKey` | `getLowestExistingKey()`
    `Path` | `getLowestExistingPath()`
    `Path` | `getPathNotFound()`
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.cache.DocumentStoreException

      `getKey`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PathNotFoundException

          public PathNotFoundException(Path pathNotFound,
                               NodeKey keyForLowestExistingAncestor,
                               Path pathForLowestExistingAncestor)

      Parameters:
        `pathNotFound` - the path that was not found
        `keyForLowestExistingAncestor` - the key for the lowest node along the path that was found
        `pathForLowestExistingAncestor` - the path for the lowest node along the path that was found

    - #### PathNotFoundException

          public PathNotFoundException(Path pathNotFound,
                               NodeKey keyForLowestExistingAncestor,
                               Path pathForLowestExistingAncestor,
                               String message)

      Parameters:
        `pathNotFound` - the path that was not found
        `keyForLowestExistingAncestor` - the key for the lowest node along the path that was found
        `pathForLowestExistingAncestor` - the path for the lowest node along the path that was found
        `message` - the message

    - #### PathNotFoundException

          public PathNotFoundException(Path pathNotFound,
                               NodeKey keyForLowestExistingAncestor,
                               Path pathForLowestExistingAncestor,
                               Throwable cause)

      Parameters:
        `pathNotFound` - the path that was not found
        `keyForLowestExistingAncestor` - the key for the lowest node along the path that was found
        `pathForLowestExistingAncestor` - the path for the lowest node along the path that was found
        `cause` - the cause of this exception

    - #### PathNotFoundException

          public PathNotFoundException(Path pathNotFound,
                               NodeKey keyForLowestExistingAncestor,
                               Path pathForLowestExistingAncestor,
                               String message,
                               Throwable cause)

      Parameters:
        `pathNotFound` - the path that was not found
        `keyForLowestExistingAncestor` - the key for the lowest node along the path that was found
        `pathForLowestExistingAncestor` - the path for the lowest node along the path that was found
        `message` - the message
        `cause` - the cause of this exception

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `DocumentStoreException`

    - #### getLowestExistingKey

          public NodeKey getLowestExistingKey()

      Returns:
        lowestExistingKey

    - #### getLowestExistingPath

          public Path getLowestExistingPath()

      Returns:
        lowestExistingPath

    - #### getPathNotFound

          public Path getPathNotFound()

      Returns:
        pathNotFound

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.